# -*- coding: cp1252 -*-

# File:     TCAlgo_Defines.py
# Project:  General definitions of constant values
# Author:	Axel Newe (axel.newe@fau.de)
# Version:	1.0
# Date: 	2015-11-11

# ------------------------------------------------------------------------------------------------------

# Codes for episode phases
PRE_PHASE  = 1
MID_PHASE  = 2
POST_PHASE = 4
ALL_PHASES = 7

# Values for Sigma
SIGMA_IGNORE   = 1000.0
SIGMA_CONSIDER = 0.001

# Strings for assessment values
ASSESSMENT_VALUE_TEMPORAL_CORRELATION = "temporal correlation"
ASSESSMENT_VALUE_NO_CHANGE            = "no change"
ASSESSMENT_VALUE_NO_ASSESSMENT        = "no assessment"

# Needed only for intermediate results
ASSESSMENT_VALUE_NOT_CLASSIFIED       = "not yet classified"
